#include "mbed.h"

#include <EthernetInterface.h>

void led_worker(void)
{
	DigitalOut myled(LED1);
	DigitalOut myled2(LED2);

	myled  = 1;
	myled2 = 0;
	while (1)
	{
		ThisThread::sleep_for(1000);

		myled2 = myled.read();
		myled = 1- myled.read();
	}
}


mbed_error_status_t mbed_error(mbed_error_status_t error_status, const char *error_msg, unsigned int error_value, const char *filename, int line_number)
{
	// Entering this function should not happen!
}

int main()
{
	Thread test_thread;

	// RTOS start succeeds when following instruction is not commented out:
	// (if commented out, mbed_error() will be entered (RTOS start failed)
	EthernetInterface interface;

    test_thread.start(&led_worker);
    while(1)
    {
    	ThisThread::sleep_for(1000);
   }
}

